#generator-editor {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  width: 100%;
  & .pt-label.pt-inline {
    display: flex;
    & .label-text {
      display: inline-block;
      width: 100px;
    }
    & .pt-select, & .pt-input {
      flex: 1;
    }
  }
  & #generator-ace {
    display: flex;
    flex: 1;
    flex-direction: column;
    & .pt-label {
      & p:last-child {
        margin-bottom: 0;
      }
    }
    & .editor {
      flex: 1;
      margin-bottom: 10px;
    }
  }
}

.generator-editor-dialog {
  height: 100vh;
  margin: var(--nav-height) 0 0;
  max-height: calc(100vh - 25px - var(--nav-height));
  max-width: calc(100% - 25px);
}
